ssu-esl-seqrange(1)

NAME

ssu-esl-seqrange - determine a range of sequences for one of many parallel processes.

SYNOPSIS

ssu-esl-sfetch
    [options] seqfile procidx nproc

DESCRIPTION
ssu-esl-seqrange reads an indexed seqfile and determines the range of sequence indices in that file that process number procidx out of nproc total processes should operate on during a parallel processing of seqfile. The seqfile must be indexed first using ssu-esl-sfetch --index <seqfile>. This creates an SSI index file <seqfile>.ssi. An SSI file is required in order for ssu-esl-seqrange to work. Sequence index ranges are calculated using a simple rule: the number of sequences for each process should be identical, or as close as possible to identical, across all processes. The lengths of the sequences are not considered (even though they probably should be).

OPTIONS

-h  Print brief help; includes version number and summary of all options, including expert options.

--informat <s>
    Specify that the sequence file is in format <s>, where <s> may be FASTA, Genbank, EMBL, Uniprot, or DDBJ. This string is case-insensitive ("genbank" or "GenBank" both work, for example).

AUTHOR
Easel and its documentation are Copyright (C) 2016 HHMI Janelia Farm Research Campus. Freely distributed under the BSD open source license.. See COPYING in the source code distribution for more details. The Easel home page is: http://bioeasel.org/